{% extends('admin/adminLayout.twig') %}
{% block content %}


	<h1>Utilisateurs ({{ tabU|length }})</h1>

	<p class='text-right'>
		<a href="{{ url('user-new') }}" class="btn btn-primary">
			<span class="glyphicon glyphicon-plus"></span>
			Nouvel utilisateur</a>
	</p>

	<table class="table table-hover table-condensed">
		<tr>

			<th>Nom Prénom</th>
			<th>Utilisateur</th>
			<th></th>

			<th></th>
			<th></th>
			<th></th>
			<th>Structure</th>
			<th>Dernière connexion</th>

		</tr>
		{% for U in tabU %}

			<tr {{ U.active ? 'class="text-primary"' : 'class="text-muted bg-muted"' }}>

				<td>
					<a href="{{ url('user',{ 'id':U.user_id }) }}">
						<b>{{ U.lastname }}
							{{ U.firstname }}</b>
					</a>
				</td>
				<td>
					<b>
						<a href="{{ url('user',{ 'id':U.user_id }) }}">{{ U.user }}</a>
					</b>&nbsp;<small>[{{ U.user_id }}]</small>
				</td>
				<td>
					{%  if 'administrateur' in U.privileges %}
						<span class="badge btn-primary">
							<small>Administrateur</small>
						</span>
					{% endif %}
					{%  if 'cadastre' in U.privileges %}
						<span class="badge badge-default">
							<small>Cadastre</small>
						</span>
					{% endif %}
					{%  if 'rpg' in U.privileges %}
						<span class="badge badge-default">
							<small>RPG</small>
						</span>
					{% endif %}
					{%  if 'gis_export' in U.privileges %}
						<span class="badge badge-default">
							<small>Export SIG</small>
						</span>
					{% endif %}
					{%  if 'pg_export' in U.privileges %}
						<span class="badge badge-default">
							<small>Export PG</small>
						</span>
					{% endif %}

				</td>


				<td>
					<a class="btn btn-xs btn-default" href="{{ url('user',{ 'id':U.user_id }) }}">Compte</a>
				</td>
				<td>
					<a class="btn btn-xs btn-default" href="{{ url('user-rights',{ 'id':U.user_id }) }}">Droits sur les objets et travaux</a>
				</td>
				<td>
					<a class="btn btn-xs btn-default" href="{{ url('user-infos',{ 'id':U.user_id }) }}">Stats</a>
				</td>

				<td>
					{{ U.organisation|raw }}</td>
				<td>
					{{ U.active ? U.last_access : 'compte désactivé' }}</td>


			</tr>


		{% endfor %}
	</table>


{% endblock %}
